# Generated by Django 2.0.6 on 2018-06-18 16:52

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('buses', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Driver',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rut', models.IntegerField(blank=True, default=0, null=True)),
                ('dv', models.CharField(blank=True, default='', max_length=1, null=True)),
                ('email', models.CharField(default='', max_length=150)),
                ('phone', models.IntegerField(blank=True, default=0, null=True)),
                ('name', models.CharField(max_length=100)),
                ('last_name', models.CharField(max_length=100)),
                ('user', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.RemoveField(
            model_name='userprofile',
            name='user',
        ),
        migrations.AlterField(
            model_name='trip',
            name='bus_driver',
            field=models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to='buses.Driver'),
        ),
        migrations.DeleteModel(
            name='UserProfile',
        ),
    ]
